<?php

declare (strict_types=1);

namespace app\command;

use think\console\Command;
use think\console\Input;
use think\console\input\Argument;
use think\console\input\Option;
use think\console\Output;
use think\facade\Db;
use think\facade\Log;

/**
 * 注册短信提醒后台审核
 */
class RegisterMessenger extends Command {

    protected function configure() {
        // 指令配置
        $this->setName('RegisterMessenger')
                ->setDescription('Auto send msg');
    }

    protected function execute(Input $input, Output $output) {
        //短信加入队列
        //查询注册未审核的企业
        $list = [];
        foreach ($list as $item) {
            queue("app\job\Messenger", ["type" => 1, "info" => $item]);
        }
    }

}
